org.gjt.sp.jedit.msg

## Class EditPaneUpdate

- java.lang.Object
- - org.gjt.sp.jedit.EBMessage
  - - org.gjt.sp.jedit.msg.EditPaneUpdate

Direct Known Subclasses:
  PositionChanging

    public class EditPaneUpdate
    extends EBMessage

Message sent when an edit pane-related change occurs.

Since:
  jEdit 2.5pre1

### Field Summary

Fields
`static java.lang.Object` `BUFFER_CHANGED` The current buffer in the EditPane has changed to show a different buffer.
`static java.lang.Object` `BUFFER_CHANGING` Edit pane buffer is about to change.
`static java.lang.Object` `BUFFERSET_CHANGED` The bufferSet scope of the EditPane was changed.
`static java.lang.Object` `CREATED` Edit pane created.
`static java.lang.Object` `DESTROYED` Edit pane destroyed.
`static java.lang.Object` `POSITION_CHANGING` Edit pane caret position is about to change in a major way

### Constructor Summary

Constructors
Constructor and Description
`EditPaneUpdate(EditPane editPane, java.lang.Object what)` Creates a new edit pane update message.

### Method Summary

Methods
`EditPane` `getEditPane()` Returns the edit pane involved.
`java.lang.Object` `getWhat()` Returns what caused this edit pane update.
`java.lang.String` `paramString()` Returns a string representation of this message's parameters.

### Methods inherited from class org.gjt.sp.jedit.EBMessage

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### CREATED

    public static final java.lang.Object CREATED

Edit pane created.

#### DESTROYED

    public static final java.lang.Object DESTROYED

Edit pane destroyed.

#### BUFFER_CHANGED

    public static final java.lang.Object BUFFER_CHANGED

The current buffer in the EditPane has changed to show a different buffer. This happens when an action results in a call to EditPane.setBuffer().

#### POSITION_CHANGING

    public static final java.lang.Object POSITION_CHANGING

Edit pane caret position is about to change in a major way

#### BUFFER_CHANGING

    public static final java.lang.Object BUFFER_CHANGING

Edit pane buffer is about to change. You should see this before BUFFER_CHANGED.

Since:
  4.3pre3

#### BUFFERSET_CHANGED

    public static final java.lang.Object BUFFERSET_CHANGED

The bufferSet scope of the EditPane was changed.

Since:
  4.3pre15

### Constructor Detail

#### EditPaneUpdate

    public EditPaneUpdate(EditPane editPane,
                  java.lang.Object what)

Creates a new edit pane update message.

Parameters:
  `editPane` - The edit pane
  `what` - What happened

### Method Detail

#### getWhat

    public java.lang.Object getWhat()

Returns what caused this edit pane update.

#### getEditPane

    public EditPane getEditPane()

Returns the edit pane involved.

#### paramString

    public java.lang.String paramString()

Description copied from class: `EBMessage`
Returns a string representation of this message's parameters.

Overrides:
  `paramString` in class `EBMessage`